import pickle

# načtení slovníku 'hustoty' z disku
with open('hustoty.pickle', mode='br') as binární_soubor:
    slovník = pickle.load(binární_soubor)

# prvních deset největších území
def funkce(název):
    # přestože jméno 'slovník' jsme do funkce neposílali, Python si ho dohledá
    data = slovník[název]
    # teď už můžeme vrátit první položku trojce (rozlohu) přetypovanou z řetězce na reálné číslo
    return float(data[0])  # rozloha

for i,d in enumerate(sorted(slovník, key=funkce)):
    if i == 10:
        break
    print(d, slovník[d])
